# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module

%define		module		typing
%define		egg_name	typing
%define		pypi_name	typing
Summary:	Type Hints for Python
Name:		python-%{pypi_name}
Version:	3.6.2
Release:	1
License:	PSF
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/ca/38/16ba8d542e609997fdcd0214628421c971f8c395084085354b11ff4ac9c3/typing-%{version}.tar.gz
# Source0-md5:	143af0bf3afd1887622771f2f1ffe8e1
URL:		https://pypi.python.org/pypi/typing
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Typing – Type Hints for Python

Typing defines a standard notation for Python function and variable
type annotations. The notation can be used for documenting code in a
concise, standard format, and it has been designed to also be used by
static and runtime type checkers, static analyzers, IDEs and other
tools.

%package -n python3-%{module}
Summary:	Type Hints for Python
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
Typing – Type Hints for Python

Typing defines a standard notation for Python function and variable
type annotations. The notation can be used for documenting code in a
concise, standard format, and it has been designed to also be used by
static and runtime type checkers, static analyzers, IDEs and other
tools.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc PKG-INFO README.rst
%{py_sitescriptdir}/%{module}.py*
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc PKG-INFO README.rst
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%{py3_sitescriptdir}/__pycache__/%{module}.cpython*.pyc
%endif
%changelog
* Sun Oct 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-typing.git;a=log;h=master

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 781cfd2
- initial 3.6.2 (note python3 package disabled because python3.spec provides it already)

